
Name:		f22-kde-theme
Summary:        Fedora Twenty Two KDE Theme
Version:	22.3
Release:	5%{?dist}

License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildArch:	noarch

## handle looknfeel rename
# kconf_update
Source1: f22-kde-theme.upd
# env/shutdown scriptlet hammer, in case kconf_update fails (which seems to happen semi-regularly -- rex)
Source2: f22-kde-theme.sh

BuildRequires:	kde-filesystem
Requires:	kde-filesystem
Requires:	system-logos
Requires:	f22-backgrounds-kde >= 21.91

Provides:	f22-plasma-desktoptheme = %{version}-%{release}
Provides:	f22-plasma-theme = %{version}-%{release}

# replace it later for F22
%if 0%{?fedora} > 22
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	systesm-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%if 0%{?fedora} == 22
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	system-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%description
This is Fedora Twenty Two KDE Theme Artwork containing Plasma Workspaces theme.

%package -n f22-kdm-theme
Summary:	Fedora Twenty Two KDM Theme
Requires:       kde-filesystem
Requires:       system-logos
Requires:       f22-backgrounds-kde >= 21.91
Provides:       system-kdm-theme = %{version}-%{release}

%description -n f22-kdm-theme
This is Fedora Twenty Two KDE Theme Artwork containing KDM theme.

%prep
%setup -q

%build

%install
### Look and feel
mkdir -p %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.two/
cp -rp lookandfeel/* %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.two/

## handle org.fedoraproject.twentytwo => org.fedoraproject.fedora.twenty.two rename
install -p -m644 -D %{SOURCE1} %{buildroot}%{_datadir}/kconf_update/f22-kde-theme.upd
mkdir -p %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/{env,shutdown}
install -p -m644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/env/f22-kde-theme.sh
cp -alf %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/env/f22-kde-theme.sh \
        %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/shutdown/f22-kde-theme.sh

### Plasma desktoptheme's
mkdir -p %{buildroot}%{_datadir}/plasma/desktoptheme/
cp -rp desktoptheme/F22/ %{buildroot}%{_datadir}/plasma/desktoptheme/

### KDM
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/F22/ %{buildroot}%{_kde4_appsdir}/kdm/themes/
pushd %{buildroot}%{_kde4_appsdir}/kdm/themes/F22/
# system logo
ln -s ../../../../../pixmaps/system-logo-white.png system-logo-white.png
popd


%files
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_datadir}/kconf_update/f22-kde-theme.upd
%{_sysconfdir}/xdg/plasma-workspace/env/f22-kde-theme.sh
%{_sysconfdir}/xdg/plasma-workspace/shutdown/f22-kde-theme.sh
%{_datadir}/plasma/desktoptheme/F22/
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.two/

%files -n f22-kdm-theme
%{_kde4_appsdir}/kdm/themes/F22


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 22.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Rex Dieter <rdieter@fedoraproject.org> 22.4-4
- f22-kde-theme.sh: org.fedoraproject.twentytwo.desktop

* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> 22.3-3
- disable verbose output

* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> 22.3-2
- handle org.fedoraproject.twentytwo => org.fedoraproject.fedora.twenty.two rename (#1228779)

* Tue May 19 2015 Jan Grulich <jgrulich@redhat.com> - 22.3-1
- Add fedora theme previews

* Tue May 19 2015 Jan Grulich <jgrulich@redhat.com> - 22.2-1
- Do not use symlinks, because Plasma doesn't allow to use them

* Fri May 15 2015 Jan Grulich <jgrulich@redhat.com> - 22.1-1
- Replace non-fedora themed parts by symlinks to breeze

* Wed May 13 2015 Jan Grulich <jgrulich@redhat.com> - 22.0-1
- Add KSplash and lockscreen fedora twenty two theme

* Mon Mar 09 2015 Rex Dieter <rdieter@fedoraproject.org> - 21.91-1.1
- (re)add Provides: system-ksplash-theme. easier to lie now than to re-add it later
- Provides: -plasma-theme,  for more consistent naming

* Tue Mar 03 2015 Than Ngo <than@redhat.com> 21.91-1
- drop unneeded ksplash theme

* Mon Mar 02 2015 Than Ngo <than@redhat.com> 21.90-1
- Initial package
